Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 442291 - Nothing requires event-compat-sysv
Summary: Nothing requires event-compat-sysv
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: initscripts
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: K12LTSP F9Blocker
TreeView+ depends on / blocked
 
Reported: 2008-04-13 23:56 UTC by Warren Togami
Modified: 2014-03-17 03:13 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-04-15 17:27:56 UTC


Attachments (Terms of Use)

Description Warren Togami 2008-04-13 23:56:12 UTC
Chroot installs and some upgrades from Fedora 8 end up without
event-compat-sysv.  Attempting to boot a system without event-compat-sysv causes
bootup to get stuck shortly after switchroot.

Should initscripts (or something else) require event-compat-sysv?  We clearly
cannot operate without it yet.

Comment 1 Bill Nottingham 2008-04-14 16:17:56 UTC
I suppose it could, however:

- it's pulled in on upgrades because it obsoletes event-compat-sysv
- it's pulled in on the most minimal installs as a mandatory package in the core
comps group

Ergo, I'm not seeing how you'd end up without it other than by manual removal.

Comment 3 Jesse Keating 2008-04-15 13:40:38 UTC
Warren, can you answer Bill's question.

Bill, can you do a build so that we can close this bug out of the blocker list?

Comment 4 Bill Nottingham 2008-04-15 17:27:56 UTC
Fixed in 8.70-1.

Comment 5 Warren Togami 2008-04-15 20:01:05 UTC
I don't know how yum upgrades ended up without event-compat-sysv.

Anyhow, in discussion it was agreed that "it doesn't work without it" is a good
enough reason to depend on it.


Note You need to log in before you can comment on or make changes to this bug.